<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_00228d8faefcea40" . "b88e38b6f0ef8fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJpbmcgb2YgQ29udH" . "JvbA=="), "_ecfcdf011" . "b493a3e718" . "c1fe7034e0" . "dcd" => base64_decode("OjpMb2FkRnJvbUZvcm0" . "oKSBtdXN0IGJlIHJlZG" . "VmaW5lZA=="), "_347a4304a606a9c406a8" . "fbc8f72530a1" => base64_decode("TWV0aG9k" . "IA=="), "_5e9a99dc0dd49b907abf1b35e96965" . "f8" => base64_decode("dHJ" . "pbQ" . "=="), "_4d707fab93bebb00bbe69" . "e8159697c90" => base64_decode(""), "_c244a470df" . "52d1d5a7085" . "138ec94e393" => base64_decode("dW5zZXJpYWxpem" . "U="), "_c9ae15d69685c" . "02eeabd974f86d" . "f51ba" => base64_decode("OjpEcmF3KCkgb" . "XVzdCBiZSByZW" . "RlZmluZWQ="), "_96be32a6" . "f44bf54e6" . "35e1736ac" . "f7a96c" => base64_decode("c2Vya" . "WFsaX" . "pl"), "_fc9d7314a9d9958d8fa0a4" . "03ba8ff197" => base64_decode("Z2V0X2NsY" . "XNz"));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_96be32a6f4" . "4bf54e635e1" . "736acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_5e9a99d" . "c0dd49b9" . "07abf1b3" . "5e96965f" . "8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69e8159697" . "c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_00228d8fae" . "fcea40b88e3" . "8b6f0ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_c244a470df52d1d5a7085138ec9" . "4e393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_347a4304a" . "606a9c406a" . "8fbc8f7253" . "0a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_fc9d7314a9d9958d8fa0a403b" . "a8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_ecfcdf011b493" . "a3e718c1fe7034" . "e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_347a4304a606a9c406a8fbc8f7253" . "0a1"] . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_fc9d7314a9d9958d8fa0a403b" . "a8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c9ae15d69685c02ee" . "abd974f86df51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}